%define archivename	LinLibertineTTF
%define reldate		2012_07_02
%define fontdir		%{_fontbasedir}/TTF/libertine

Name:		fonts-ttf-libertine
Version:	5.3.0
Release:	%mkrel 11
Summary:	Linux Libertine Open Fonts
Group:		System/Fonts/True type
License:	GPLv2+ and OFL
URL:		https://linuxlibertine.sourceforge.net/
Source:		https://downloads.sourceforge.net/project/linuxlibertine/linuxlibertine/5.3.0/%{archivename}_%{version}_%{reldate}.tgz
BuildArch:	noarch
BuildRequires:	fontconfig
BuildRequires:	freetype-tools
Provides:	linux-libertine-fonts = %{version}
Obsoletes:	linux-libertine-fonts <= 4.0

%description
The Linux Libertine Open Fonts are a TrueType font family for practical
use in documents. They were created to provide a free alternative to
proprietary standard fonts.


%prep
%setup -qcn LinLibertineTTF_2011_05_22


%install
install -d -m 0755 %{buildroot}%{fontdir}
install -p -m 0644 *.ttf  %{buildroot}%{fontdir}
ttmkfdir -d %{buildroot}%{fontdir} -o %{buildroot}%{fontdir}/fonts.scale
cp -f %{buildroot}%{fontdir}/fonts.scale %{buildroot}%{fontdir}/fonts.dir
mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d
ln -s %{fontdir} %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-libertine:pri=50

%files
%doc *.txt
%{fontdir}/
%{_sysconfdir}/X11/fontpath.d/ttf-libertine:pri=50


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 5.3.0-11.mga10
+ Revision: 2221056
- Mageia 10 Mass Rebuild

* Sun Jan 14 2024 daviddavid <daviddavid> 5.3.0-10.mga10
+ Revision: 2031092
- move fonts files from '/usr/share/fonts/ttf' to '/usr/share/fonts/TTF'

* Wed Mar 30 2022 umeabot <umeabot> 5.3.0-9.mga9
+ Revision: 1833991
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 5.3.0-8.mga8
+ Revision: 1490409
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 5.3.0-7.mga7
+ Revision: 1262065
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 5.3.0-6.mga6
+ Revision: 930054
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.3.0-5.mga5
+ Revision: 740209
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.0-4.mga5
+ Revision: 679277
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.3.0-3.mga4
+ Revision: 504522
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.3.0-2.mga3
+ Revision: 350698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 22 2012 shlomif <shlomif> 5.3.0-1.mga3
+ Revision: 283058
- New version 5.3.0.
  It was delayed by bug #7078 so thanks to tv for fixing it.

* Tue Dec 06 2011 shlomif <shlomif> 5.0.0-1.mga2
+ Revision: 177885
- New release - 5.0
+ eandry <eandry>
- imported package fonts-ttf-libertine


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4.4.1-3mdv2011.0
+ Revision: 610735
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 4.4.1-2mdv2010.1
+ Revision: 494152
- fc-cache is now called by an rpm filetrigger

* Sat Dec 12 2009 Frederik Himpe <fhimpe@mandriva.org> 4.4.1-1mdv2010.1
+ Revision: 477781
- Update to new version 4.4.1

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 2.8.14-2mdv2010.0
+ Revision: 428851
- rebuild

* Wed Jul 30 2008 Funda Wang <fwang@mandriva.org> 2.8.14-1mdv2009.0
+ Revision: 254843
- update doc files
- Use pre-built fonts
- New version 2.8.14

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.7.9-3mdv2009.0
+ Revision: 245282
- rebuild

* Mon Dec 31 2007 Funda Wang <fwang@mandriva.org> 2.7.9-1mdv2008.1
+ Revision: 139763
- New versino 2.7.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Adam Williamson <awilliamson@mandriva.org> 2.6.9-1mdv2008.0
+ Revision: 79374
- Import fonts-ttf-libertine

